Bug 175952 - Old/False entries in readahead.files for Firefox, Evolution, xorg...
Old/False entries in readahead.files for Firefox, Evolution, xorg...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: readahead (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Karel Zak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-16 12:46 EST by Marcus Hartig
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: readahead-1.2-1.23.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 10:32:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Hartig 2005-12-16 12:46:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051211 Fedora/1.5-1.1 Firefox/1.5

Description of problem:
The readahead.files has old/flase entries not more trageting to the new directories for: firefox, evolution and xorg:
Old:
/usr/lib/evolution/2.2/

New:
/usr/lib/evolution/2.6/

and so on for the others

Version-Release number of selected component (if applicable):
readahead-1.1-1.18.1

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 Marcus Hartig 2005-12-18 04:48:21 EST
readahead.early.files has also a false list.
Comment 2 Marcus Hartig 2005-12-21 00:18:40 EST
Now with readahead-1.1-1.19.1 
I had double slashes in the directory names of some lines like this eg:

/usr//lib/evolution//...

and the old /usr/X11R6/lib path named in:

libfontenc.so.1, libXmu.so.6, libXRes.so.1,...
Comment 3 Karel Zak 2005-12-21 04:31:20 EST
Thanks!

To be honest the current way how we maintain the list of readahead files is
pretty bad. My plan is write some script that will generate list of files from
list of packages.
Comment 4 Marcus Hartig 2005-12-22 09:11:53 EST
Yes, and now there are the false endings for all xorg module drivers, which are
here on my system *.so not *.o like in the readahead.early with
readahead-1.1-1.20.1 ;)
Comment 5 Karel Zak 2006-02-21 10:32:14 EST
It should be fixed in the latest readahead version.

Note You need to log in before you can comment on or make changes to this bug.